%define upstreamname lxsession-lite
Name: lxde-%upstreamname
Version: 0.3.6
Release: alt2

Summary: LXSession is the default X11 session manager of LXDE.
License: GPL
Group: Graphical desktop/Other
Url: http://lxde.sf.net
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Conflicts: lxde-lxsession

Source: %upstreamname-%version.tar.gz

# Automatically added by buildreq on Fri Jul 18 2008
BuildRequires: libXau-devel libdbus-devel libgtk+2-devel libdbus-glib-devel

%description
LXSession is lightweiht, and it's not tighted to "any" desktop environment.
It's desktop-independent and can be used with any window manager.
With proper configuration, you can make your own desktop environment with
LXSession. This is very useful to the users and developers of non-mainstream
window managers and desktop environemts.

LXSession Lite is the stripped down version without
the problematic X11 Session Management support.

%prep
%setup -n %upstreamname-%version

%build
%configure

%make_build

%install
%makeinstall_std
%find_lang lxsession

%files -f lxsession.lang
%doc ChangeLog INSTALL README
%_bindir/*
%_datadir/lxsession
%_man1dir/*

%changelog
* Fri Jan 09 2009 Eugene Ostapets <eostapets@altlinux.ru> 0.3.6-alt2
- Add conflicts to lxde-lxsession-lite
- remove obsoletes %%update_menu macros

* Fri Jul 18 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.3.6-alt1
- new version

* Fri May 23 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.1-alt1
- First version of RPM package for Sisyphus.
